import{Logger as n}from"@vue-storefront/core";import{onError as e}from"apollo-link-error";import"apollo-link-retry";import"apollo-link-context";import"apollo-link-http";import"apollo-link";
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */var t,a,i,r,o,c,d,s,u,l,m,p,f,g,A,y,v,h,C,I,S,D,L,b,P,N,E,M,R,k,O,x=function(){return x=Object.assign||function(n){for(var e,t=1,a=arguments.length;t<a;t++)for(var i in e=arguments[t])Object.prototype.hasOwnProperty.call(e,i)&&(n[i]=e[i]);return n},x.apply(this,arguments)},F=Object.freeze({__proto__:null,createAddLineItemAction:function(n){return{addLineItem:x(x({variantId:n.product.id,quantity:n.quantity,sku:n.product.sku},n.supplyChannel&&{supplyChannel:{id:n.supplyChannel}}),n.distributionChannel&&{distributionChannel:{id:n.distributionChannel}})}},createRemoveLineItemAction:function(n){return{removeLineItem:{lineItemId:n.id,quantity:n.quantity}}},createChangeLineItemQuantityAction:function(n){return{changeLineItemQuantity:{lineItemId:n.id,quantity:n.quantity}}},setShippingAddressAction:function(n){return{setShippingAddress:{address:{title:n.title,salutation:n.salutation,firstName:n.firstName,lastName:n.lastName,streetName:n.streetName,streetNumber:n.streetNumber,additionalStreetInfo:n.additionalStreetInfo,postalCode:n.postalCode,city:n.city,region:n.region,state:n.state,country:n.country,company:n.company,department:n.department,building:n.building,apartment:n.apartment,pOBox:n.pOBox,phone:n.phone,mobile:n.mobile,email:n.email,fax:n.fax,additionalAddressInfo:n.additionalAddressInfo}}}},setShippingMethodAction:function(n){return{setShippingMethod:{shippingMethod:n?{id:n}:null}}},addPayment:function(n){return{addPayment:{payment:n}}},setBillingAddressAction:function(n){return{setBillingAddress:{address:{title:n.title,salutation:n.salutation,firstName:n.firstName,lastName:n.lastName,streetName:n.streetName,streetNumber:n.streetNumber,additionalStreetInfo:n.additionalStreetInfo,postalCode:n.postalCode,city:n.city,region:n.region,state:n.state,country:n.country,company:n.company,department:n.department,building:n.building,apartment:n.apartment,pOBox:n.pOBox,phone:n.phone,mobile:n.mobile,email:n.email,fax:n.fax,additionalAddressInfo:n.additionalAddressInfo}}}},addPaymentAction:function(n){return{addPayment:{payment:{id:n}}}},addDiscountCodeAction:function(n){return{addDiscountCode:{code:n}}},removeDiscountCodeAction:function(n){return{removeDiscountCode:{discountCode:n}}},setCustomerEmail:function(n){return{setCustomerEmail:{email:n}}}}),T="\n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n",U="\n  ".concat(T,"\n\n  fragment DefaultCustomer on Customer {\n    version\n    firstName\n    lastName\n    email\n    addresses {\n      id\n    }\n    shippingAddresses {\n      ...DefaultAddress\n    }\n    billingAddresses {\n      ...DefaultAddress\n    }\n    defaultBillingAddressId\n    defaultShippingAddressId\n  }\n"),B="\n  fragment DefaultProductPrice on ProductPrice {\n    discounted {\n      value {\n        type\n        currencyCode\n        centAmount\n        fractionDigits\n      }\n      discount {\n        validFrom\n        validUntil\n        isActive\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    value {\n      type\n      currencyCode\n      centAmount\n      fractionDigits\n    }\n  }\n",w="\n  ".concat(B,"\n\n  fragment DefaultLineItem on LineItem {\n    id\n    productId\n    name(acceptLanguage: $acceptLanguage)\n    productSlug(acceptLanguage: $acceptLanguage)\n    quantity\n    discountedPricePerQuantity {\n      quantity\n      discountedPrice {\n        value {\n          centAmount\n        }\n        includedDiscounts {\n          discount {\n            name(acceptLanguage: $acceptLanguage)\n            isActive\n          }\n        }\n      }\n    }\n    variant {\n      id\n      sku\n      price(currency: $currency) {\n        tiers {\n          value {\n            centAmount\n          }\n        }\n        value {\n          centAmount\n        }\n        discounted {\n          value {\n            centAmount\n          }\n          discount {\n            isActive\n            name(acceptLanguage: $acceptLanguage)\n          }\n        }\n      }\n      images {\n        url\n        label\n      }\n      attributesRaw {\n        name\n        value\n        attributeDefinition {\n          type {\n            name\n          }\n          label(locale: $locale)\n        }\n      }\n    }\n    price {\n      ...DefaultProductPrice\n    }\n  }\n"),z="\n  fragment DefaultShippingMethod on ShippingMethod {\n    id\n    version\n    name\n    isDefault\n    localizedDescription(acceptLanguage: $acceptLanguage)\n    zoneRates {\n      zone {\n        id\n        name\n      }\n      shippingRates {\n        freeAbove {\n          type\n          centAmount\n        }\n        isMatching\n        price {\n          centAmount\n        }\n      }\n    }\n  }\n",q="\n  ".concat(T,"\n  ").concat(U,"\n  ").concat(w,"\n  ").concat(z,"\n\n  fragment DefaultCart on Cart {\n    id\n    customerId\n    customerEmail\n    lineItems {\n      ...DefaultLineItem\n    }\n    totalPrice {\n      centAmount\n    }\n    shippingAddress {\n      ...DefaultAddress\n    }\n    billingAddress {\n      ...DefaultAddress\n    }\n    customer {\n      ...DefaultCustomer\n    }\n    totalPrice {\n      centAmount\n    }\n    taxedPrice {\n      totalNet {\n        centAmount\n      }\n      totalGross {\n        centAmount\n      }\n    }\n    paymentInfo {\n      payments {\n        id\n      }\n    }\n    shippingInfo {\n      price {\n        centAmount\n      }\n      shippingMethod {\n        ...DefaultShippingMethod\n      }\n    }\n    discountCodes {\n      discountCode {\n        id\n        code\n        isActive\n        validFrom\n        validUntil\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    refusedGifts {\n      isActive\n      validFrom\n      validUntil\n      name(acceptLanguage: $acceptLanguage)\n    }\n    custom {\n      customFieldsRaw {\n        name\n        value\n      }\n    }\n    cartState\n    version\n    inventoryMode\n  }\n"),$="\n  fragment LocalizedStringFragment on LocalizedString {\n    value\n    locale\n  }\n",G="\n  ".concat($,"\n  ").concat(T,"\n\n  fragment ChannelFragment on Channel {\n    id\n    version\n    key\n    roles\n    name(locale: $locale)\n    description(locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    descriptionAllLocales {\n      ...LocalizedStringFragment\n    }\n    address {\n      ...DefaultAddress\n    }\n  }\n"),Q="\n  fragment ReferenceFragment on Reference {\n    typeId\n    id\n  }\n",H="\n  ".concat(Q,"\n\n  fragment InitiatorFragment on Initiator {\n    isPlatformClient\n    externalUserId\n    anonymousId\n    clientId\n    customerRef {\n      ...ReferenceFragment\n    }\n    userRef {\n      ...ReferenceFragment\n    }\n  }\n"),_="\n  ".concat(H,"\n\n  fragment InventoryEntryFragment on InventoryEntry {\n    id\n    sku\n    version\n    createdAt\n    lastModifiedAt\n    quantityOnStock\n    availableQuantity\n    restockableInDays\n    expectedDelivery\n    supplyChannels {\n      id\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n"),j="\n  ".concat(_,"\n\n  fragment InventoryEntriesQueryResultFragment on InventoryEntryQueryResult {\n    offset\n    count\n    total\n    results {\n      ...InventoryEntryFragment\n    }\n  }\n"),V="\n  ".concat(T,"\n  ").concat(w,"\n\n  fragment DefaultOrder on Order {\n    lineItems {\n      ...DefaultLineItem\n    }\n    totalPrice {\n      centAmount\n    }\n    orderState\n    id\n    orderNumber\n    version\n    createdAt\n    customerEmail\n    shipmentState\n    paymentState\n    shippingAddress {\n      ...DefaultAddress\n    }\n    billingAddress {\n      ...DefaultAddress\n    }\n    cart {\n      id\n      version\n    }\n  }\n"),W="\n  ".concat($,"\n  ").concat(G,"\n  ").concat(H,"\n\n  fragment StoreFragment on Store {\n    id\n    version\n    key\n    languages\n    createdAt\n    lastModifiedAt\n    name (locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    distributionChannels {\n      ...ChannelFragment\n    }\n    supplyChannels {\n      ...ChannelFragment\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n"),Z="\n  ".concat(W,"\n\n  fragment StoreQueryResultFragment on StoreQueryResult {\n    offset\n    count\n    total\n    results {\n      ...StoreFragment\n    }\n  }\n");!function(n){n.STRING="StringAttribute",n.DATE="DateAttribute",n.DATETIME="DateTimeAttribute",n.TIME="TimeAttribute",n.NUMBER="NumberAttribute",n.ENUM="EnumAttribute",n.LOCALIZED_ENUM="LocalizedEnumAttribute",n.LOCALIZED_STRING="LocalizedStringAttribute",n.MONEY="MoneyAttribute",n.BOOLEAN="BooleanAttribute"}(t||(t={})),function(n){n.UseAsNewActiveCustomerCart="UseAsNewActiveCustomerCart",n.MergeWithExistingCustomerCart="MergeWithExistingCustomerCart"}(a||(a={})),function(n){n.All="All",n.Prices="Prices"}(i||(i={})),function(n){n.MostExpensive="MostExpensive",n.Cheapest="Cheapest"}(r||(r={})),function(n){n.Update="Update",n.Create="Create"}(o||(o={})),function(n){n.None="None",n.Unique="Unique",n.CombinationUnique="CombinationUnique",n.SameForAll="SameForAll"}(c||(c={})),function(n){n.Merchant="Merchant",n.Customer="Customer"}(d||(d={})),function(n){n.Ordered="Ordered",n.Merged="Merged",n.Active="Active"}(s||(s={})),function(n){n.InventorySupply="InventorySupply",n.ProductDistribution="ProductDistribution",n.OrderExport="OrderExport",n.OrderImport="OrderImport",n.Primary="Primary"}(u||(u={})),function(n){n.ApplicationStoppedByPreviousDiscount="ApplicationStoppedByPreviousDiscount",n.NotValid="NotValid",n.MaxApplicationReached="MaxApplicationReached",n.MatchesCart="MatchesCart",n.DoesNotMatchCart="DoesNotMatchCart",n.NotActive="NotActive"}(l||(l={})),function(n){n.None="None",n.ReserveOnOrder="ReserveOnOrder",n.TrackOnly="TrackOnly"}(m||(m={})),function(n){n.GiftLineItem="GiftLineItem",n.Standard="Standard"}(p||(p={})),function(n){n.Platform="Platform",n.ExternalPrice="ExternalPrice",n.ExternalTotal="ExternalTotal"}(f||(f={})),function(n){n.Activated="Activated",n.Deactivated="Deactivated"}(g||(g={})),function(n){n.Confirmed="Confirmed",n.Cancelled="Cancelled",n.Complete="Complete",n.Open="Open"}(A||(A={})),function(n){n.Paid="Paid",n.CreditOwed="CreditOwed",n.Pending="Pending",n.Failed="Failed",n.BalanceDue="BalanceDue"}(y||(y={})),function(n){n.NotRefunded="NotRefunded",n.Refunded="Refunded",n.Initial="Initial",n.NonRefundable="NonRefundable"}(v||(v={})),function(n){n.Unusable="Unusable",n.BackInStock="BackInStock",n.Returned="Returned",n.Advised="Advised"}(h||(h={})),function(n){n.HalfDown="HalfDown",n.HalfUp="HalfUp",n.HalfEven="HalfEven"}(C||(C={})),function(n){n.Activated="Activated",n.Indexing="Indexing",n.Deactivated="Deactivated"}(I||(I={})),function(n){n.Delayed="Delayed",n.Backorder="Backorder",n.Partial="Partial",n.Pending="Pending",n.Ready="Ready",n.Shipped="Shipped"}(S||(S={})),function(n){n.MatchesCart="MatchesCart",n.DoesNotMatchCart="DoesNotMatchCart"}(D||(D={})),function(n){n.StopAfterThisDiscount="StopAfterThisDiscount",n.Stacking="Stacking"}(L||(L={})),function(n){n.Return="Return",n.ReviewIncludedInStatistics="ReviewIncludedInStatistics"}(b||(b={})),function(n){n.OrderState="OrderState",n.ProductState="ProductState",n.ReviewState="ReviewState",n.PaymentState="PaymentState",n.LineItemState="LineItemState"}(P||(P={})),function(n){n.TemporaryError="TemporaryError",n.ConfigurationErrorDeliveryStopped="ConfigurationErrorDeliveryStopped",n.ConfigurationError="ConfigurationError",n.Healthy="Healthy"}(N||(N={})),function(n){n.UnitPriceLevel="UnitPriceLevel",n.LineItemLevel="LineItemLevel"}(E||(E={})),function(n){n.Disabled="Disabled",n.ExternalAmount="ExternalAmount",n.External="External",n.Platform="Platform"}(M||(M={})),function(n){n.SingleLine="SingleLine",n.MultiLine="MultiLine"}(R||(R={})),function(n){n.Failure="Failure",n.Success="Success",n.Pending="Pending",n.Initial="Initial"}(k||(k={})),function(n){n.Chargeback="Chargeback",n.Refund="Refund",n.Charge="Charge",n.CancelAuthorization="CancelAuthorization",n.Authorization="Authorization"}(O||(O={}));var Y,J="vsf-commercetools-token";!function(n){n.ServerAccessToken="ServerAccessToken",n.GuestAccessToken="GuestAccessToken",n.AnonymousAccessToken="AnonymousAccessToken",n.ExistingAccessToken="ExistingAccessToken",n.UserAccessToken="UserAccessToken"}(Y||(Y={}));var K=function(n){var e;return null===(e=null==n?void 0:n.scope)||void 0===e?void 0:e.includes("anonymous_id")},X=function(n){var e;return null===(e=null==n?void 0:n.scope)||void 0===e?void 0:e.includes("customer_id")};function nn(){return e((function(e){var t=e.graphQLErrors,a=e.networkError;t&&t.map((function(e){var t=e.message,a=e.locations,i=e.path;if(!t.includes("Resource Owner Password Credentials Grant")){if(!a)return void n.error("[GraphQL error]: Message: ".concat(t,", Path: ").concat(i));var r=a.map((function(n){var e=n.column,t=n.line;return"[column: ".concat(e,", line: ").concat(t,"]")}));n.error("[GraphQL error]: Message: ".concat(t,", Location: ").concat(r.join(", "),", Path: ").concat(i))}})),a&&n.error("[Network error]: ".concat(a))}))}export{o as ActionType,T as AddressFragment,a as AnonymousCartSignInMode,c as AttributeConstraint,t as AttributeType,J as CT_COOKIE_NAME,q as CartFragment,d as CartOrigin,s as CartState,G as ChannelFragment,u as ChannelRole,U as CustomerFragment,l as DiscountCodeState,j as InventoryEntriesQueryResultFragment,_ as InventoryEntryFragment,m as InventoryMode,w as LineItemFragment,p as LineItemMode,f as LineItemPriceMode,$ as LocalizedStringFragment,V as OrderFragment,g as OrderSearchStatus,A as OrderState,y as PaymentState,B as ProductPriceFragment,i as PublishScope,Q as ReferenceFragment,v as ReturnPaymentState,h as ReturnShipmentState,C as RoundingMode,I as SearchIndexingStatus,r as SelectionMode,S as ShipmentState,z as ShippingMethodFragment,D as ShippingMethodState,L as StackingMode,b as StateRole,P as StateType,W as StoreFragment,Z as StoreQueryResultFragment,N as SubscriptionHealthStatus,E as TaxCalculationMode,M as TaxMode,R as TextInputHint,Y as TokenType,k as TransactionState,O as TransactionType,F as cartActions,nn as createErrorHandler,K as isAnonymousSession,X as isUserSession};
//# sourceMappingURL=index.es.js.map
